<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: OpenSim::STOFileAdapter_&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_developer.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For C++ developers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1STOFileAdapter__.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="classOpenSim_1_1STOFileAdapter__-members.html">List of all members</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">OpenSim::STOFileAdapter_&lt; T &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>STOFileAdapter is a <a class="el" href="classOpenSim_1_1DelimFileAdapter.html" title="DelimFileAdapter is a FileAdapter that reads and writes text files with given delimiters.">DelimFileAdapter</a> that presets the delimiters appropriately for STO files.  
 <a href="classOpenSim_1_1STOFileAdapter__.html#details">More...</a></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for OpenSim::STOFileAdapter_&lt; T &gt;:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classOpenSim_1_1STOFileAdapter__.png" usemap="#OpenSim::STOFileAdapter_5F_3C_20T_20_3E_map" alt=""/>
  <map id="OpenSim::STOFileAdapter_5F_3C_20T_20_3E_map" name="OpenSim::STOFileAdapter_5F_3C_20T_20_3E_map">
<area href="classOpenSim_1_1DelimFileAdapter.html" title="DelimFileAdapter is a FileAdapter that reads and writes text files with given delimiters." alt="OpenSim::DelimFileAdapter&lt; T &gt;" shape="rect" coords="0,112,198,136"/>
<area href="classOpenSim_1_1FileAdapter.html" title="FileAdapter is a DataAdapter that reads and writes files with methods read and writeFile respectively..." alt="OpenSim::FileAdapter" shape="rect" coords="0,56,198,80"/>
<area href="classOpenSim_1_1DataAdapter.html" title="DataAdapter is an abstract class defining an interface for reading/writing in/out the contents of a D..." alt="OpenSim::DataAdapter" shape="rect" coords="0,0,198,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ace1b15f424dd3f95d29d35234a4f5ee9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1STOFileAdapter__.html#ace1b15f424dd3f95d29d35234a4f5ee9">STOFileAdapter_</a> ()</td></tr>
<tr class="separator:ace1b15f424dd3f95d29d35234a4f5ee9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bd96ac028a6681fab93f7db1a8cff36"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1STOFileAdapter__.html#a7bd96ac028a6681fab93f7db1a8cff36">STOFileAdapter_</a> (const <a class="el" href="classOpenSim_1_1STOFileAdapter__.html">STOFileAdapter_</a> &amp;)=default</td></tr>
<tr class="separator:a7bd96ac028a6681fab93f7db1a8cff36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7821ff194eb5becd0e6828e73494e797"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1STOFileAdapter__.html#a7821ff194eb5becd0e6828e73494e797">STOFileAdapter_</a> (<a class="el" href="classOpenSim_1_1STOFileAdapter__.html">STOFileAdapter_</a> &amp;&amp;)=default</td></tr>
<tr class="separator:a7821ff194eb5becd0e6828e73494e797"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc391fd1f24f52cd2141adf6aa44b527"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1STOFileAdapter__.html">STOFileAdapter_</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1STOFileAdapter__.html#afc391fd1f24f52cd2141adf6aa44b527">operator=</a> (const <a class="el" href="classOpenSim_1_1STOFileAdapter__.html">STOFileAdapter_</a> &amp;)=default</td></tr>
<tr class="separator:afc391fd1f24f52cd2141adf6aa44b527"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31601f51d27f197a024cbef3e5eb35c8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1STOFileAdapter__.html">STOFileAdapter_</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1STOFileAdapter__.html#a31601f51d27f197a024cbef3e5eb35c8">operator=</a> (<a class="el" href="classOpenSim_1_1STOFileAdapter__.html">STOFileAdapter_</a> &amp;&amp;)=default</td></tr>
<tr class="separator:a31601f51d27f197a024cbef3e5eb35c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba8eed41278c5ebf24408cc7b1c46b81"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1STOFileAdapter__.html#aba8eed41278c5ebf24408cc7b1c46b81">~STOFileAdapter_</a> ()=default</td></tr>
<tr class="separator:aba8eed41278c5ebf24408cc7b1c46b81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3cb156e1a748a5dfe3befd251f62c3a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1STOFileAdapter__.html">STOFileAdapter_</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1STOFileAdapter__.html#ad3cb156e1a748a5dfe3befd251f62c3a">clone</a> () const override</td></tr>
<tr class="separator:ad3cb156e1a748a5dfe3befd251f62c3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classOpenSim_1_1DelimFileAdapter"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classOpenSim_1_1DelimFileAdapter')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classOpenSim_1_1DelimFileAdapter.html">OpenSim::DelimFileAdapter&lt; T &gt;</a></td></tr>
<tr class="memitem:ae712ca39eb7a3a4406832fd8490e707c inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DelimFileAdapter.html#ae712ca39eb7a3a4406832fd8490e707c">DelimFileAdapter</a> ()=delete</td></tr>
<tr class="separator:ae712ca39eb7a3a4406832fd8490e707c inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec9cc4ec5431e8e670af7c31ecda3ad4 inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DelimFileAdapter.html#aec9cc4ec5431e8e670af7c31ecda3ad4">DelimFileAdapter</a> (const <a class="el" href="classOpenSim_1_1DelimFileAdapter.html">DelimFileAdapter</a> &amp;)=default</td></tr>
<tr class="separator:aec9cc4ec5431e8e670af7c31ecda3ad4 inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bab37f57150e02afadc4389f0d32bd1 inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DelimFileAdapter.html#a4bab37f57150e02afadc4389f0d32bd1">DelimFileAdapter</a> (<a class="el" href="classOpenSim_1_1DelimFileAdapter.html">DelimFileAdapter</a> &amp;&amp;)=default</td></tr>
<tr class="separator:a4bab37f57150e02afadc4389f0d32bd1 inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bff1501471fb14d7741c38a2b0d5443 inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1DelimFileAdapter.html">DelimFileAdapter</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DelimFileAdapter.html#a0bff1501471fb14d7741c38a2b0d5443">operator=</a> (const <a class="el" href="classOpenSim_1_1DelimFileAdapter.html">DelimFileAdapter</a> &amp;)=default</td></tr>
<tr class="separator:a0bff1501471fb14d7741c38a2b0d5443 inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae57c8fc99942ff518b463f0cc0e9d32c inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1DelimFileAdapter.html">DelimFileAdapter</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DelimFileAdapter.html#ae57c8fc99942ff518b463f0cc0e9d32c">operator=</a> (<a class="el" href="classOpenSim_1_1DelimFileAdapter.html">DelimFileAdapter</a> &amp;&amp;)=default</td></tr>
<tr class="separator:ae57c8fc99942ff518b463f0cc0e9d32c inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a9a4902836bd000aa8a1b63355453c6 inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DelimFileAdapter.html#a5a9a4902836bd000aa8a1b63355453c6">~DelimFileAdapter</a> ()=default</td></tr>
<tr class="separator:a5a9a4902836bd000aa8a1b63355453c6 inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8ab96fa74910cb2abdfc850d4608071 inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DelimFileAdapter.html#aa8ab96fa74910cb2abdfc850d4608071">DelimFileAdapter</a> (const std::string &amp;delimitersRead, const std::string &amp;delimterWrite)</td></tr>
<tr class="memdesc:aa8ab96fa74910cb2abdfc850d4608071 inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create the adapter by setting the delimiters.  <a href="classOpenSim_1_1DelimFileAdapter.html#aa8ab96fa74910cb2abdfc850d4608071">More...</a><br /></td></tr>
<tr class="separator:aa8ab96fa74910cb2abdfc850d4608071 inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a56d718053f2b069d40f0d42e4ba5bb inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DelimFileAdapter.html#a3a56d718053f2b069d40f0d42e4ba5bb">DelimFileAdapter</a> (const std::string &amp;delimitersRead, const std::string &amp;delimterWrite, const std::string &amp;compDelimRead, const std::string &amp;compDelimWrite)</td></tr>
<tr class="memdesc:a3a56d718053f2b069d40f0d42e4ba5bb inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create the adapter by setting the delimiters.  <a href="classOpenSim_1_1DelimFileAdapter.html#a3a56d718053f2b069d40f0d42e4ba5bb">More...</a><br /></td></tr>
<tr class="separator:a3a56d718053f2b069d40f0d42e4ba5bb inherit pub_methods_classOpenSim_1_1DelimFileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classOpenSim_1_1FileAdapter"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classOpenSim_1_1FileAdapter')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classOpenSim_1_1FileAdapter.html">OpenSim::FileAdapter</a></td></tr>
<tr class="memitem:ab9fd3aecabcaa55035e2f639332facb6 inherit pub_methods_classOpenSim_1_1FileAdapter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1FileAdapter.html#ab9fd3aecabcaa55035e2f639332facb6">FileAdapter</a> ()=default</td></tr>
<tr class="separator:ab9fd3aecabcaa55035e2f639332facb6 inherit pub_methods_classOpenSim_1_1FileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a563304fb56a2583f9a021e708cfa2845 inherit pub_methods_classOpenSim_1_1FileAdapter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1FileAdapter.html#a563304fb56a2583f9a021e708cfa2845">FileAdapter</a> (const <a class="el" href="classOpenSim_1_1FileAdapter.html">FileAdapter</a> &amp;)=default</td></tr>
<tr class="separator:a563304fb56a2583f9a021e708cfa2845 inherit pub_methods_classOpenSim_1_1FileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ec7bf8a52d8163ccfd1747528dc8c5e inherit pub_methods_classOpenSim_1_1FileAdapter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1FileAdapter.html#a9ec7bf8a52d8163ccfd1747528dc8c5e">FileAdapter</a> (<a class="el" href="classOpenSim_1_1FileAdapter.html">FileAdapter</a> &amp;&amp;)=default</td></tr>
<tr class="separator:a9ec7bf8a52d8163ccfd1747528dc8c5e inherit pub_methods_classOpenSim_1_1FileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af34e37de460273c64c7902ed7756375a inherit pub_methods_classOpenSim_1_1FileAdapter"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1FileAdapter.html">FileAdapter</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1FileAdapter.html#af34e37de460273c64c7902ed7756375a">operator=</a> (const <a class="el" href="classOpenSim_1_1FileAdapter.html">FileAdapter</a> &amp;)=default</td></tr>
<tr class="separator:af34e37de460273c64c7902ed7756375a inherit pub_methods_classOpenSim_1_1FileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40c496a1500e36cbc11a5646d9e266cb inherit pub_methods_classOpenSim_1_1FileAdapter"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1FileAdapter.html">FileAdapter</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1FileAdapter.html#a40c496a1500e36cbc11a5646d9e266cb">operator=</a> (<a class="el" href="classOpenSim_1_1FileAdapter.html">FileAdapter</a> &amp;&amp;)=default</td></tr>
<tr class="separator:a40c496a1500e36cbc11a5646d9e266cb inherit pub_methods_classOpenSim_1_1FileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85732be30639f7ed997b9d11df60cee8 inherit pub_methods_classOpenSim_1_1FileAdapter"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1FileAdapter.html#a85732be30639f7ed997b9d11df60cee8">~FileAdapter</a> ()=default</td></tr>
<tr class="separator:a85732be30639f7ed997b9d11df60cee8 inherit pub_methods_classOpenSim_1_1FileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classOpenSim_1_1DataAdapter"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classOpenSim_1_1DataAdapter')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td></tr>
<tr class="memitem:ac36f915dd4045ef9c52344dd05efe654 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#ac36f915dd4045ef9c52344dd05efe654">DataAdapter</a> ()=default</td></tr>
<tr class="separator:ac36f915dd4045ef9c52344dd05efe654 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0008a82aec446f1b6355f461578eccfe inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a0008a82aec446f1b6355f461578eccfe">DataAdapter</a> (const <a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &amp;)=default</td></tr>
<tr class="separator:a0008a82aec446f1b6355f461578eccfe inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62febc0569d61bb65f640347e09d503d inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a62febc0569d61bb65f640347e09d503d">DataAdapter</a> (<a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &amp;&amp;)=default</td></tr>
<tr class="separator:a62febc0569d61bb65f640347e09d503d inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75c26383f9e5ae455ea804f07d04b763 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a75c26383f9e5ae455ea804f07d04b763">operator=</a> (const <a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &amp;)=default</td></tr>
<tr class="separator:a75c26383f9e5ae455ea804f07d04b763 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80a45642463cb62a05f6f62440855fca inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a80a45642463cb62a05f6f62440855fca">operator=</a> (<a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &amp;&amp;)=default</td></tr>
<tr class="separator:a80a45642463cb62a05f6f62440855fca inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fa627d27f596e810e49498e6eda8a16 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a1fa627d27f596e810e49498e6eda8a16">~DataAdapter</a> ()=default</td></tr>
<tr class="separator:a1fa627d27f596e810e49498e6eda8a16 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b8e9cede726e0eb399cb95c06f77b49 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1DataAdapter.html#aa70731950b2d90af75eb1f4066c43c47">DataAdapter::OutputTables</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a7b8e9cede726e0eb399cb95c06f77b49">read</a> (const std::string &amp;dataSourceSpecification) const</td></tr>
<tr class="memdesc:a7b8e9cede726e0eb399cb95c06f77b49 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Public interface to read data from a dataSourceSpecification, typically a file or folder.  <a href="classOpenSim_1_1DataAdapter.html#a7b8e9cede726e0eb399cb95c06f77b49">More...</a><br /></td></tr>
<tr class="separator:a7b8e9cede726e0eb399cb95c06f77b49 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a556503152419f313eb483897a1be41f4 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top">const std::shared_ptr&lt; <a class="el" href="classOpenSim_1_1AbstractDataTable.html">AbstractDataTable</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a556503152419f313eb483897a1be41f4">getDataTable</a> (const <a class="el" href="classOpenSim_1_1DataAdapter.html#aa70731950b2d90af75eb1f4066c43c47">OutputTables</a> &amp;tables, const std::string tableName)</td></tr>
<tr class="memdesc:a556503152419f313eb483897a1be41f4 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Generic interface to retrieve a specific table by name from read result.  <a href="classOpenSim_1_1DataAdapter.html#a556503152419f313eb483897a1be41f4">More...</a><br /></td></tr>
<tr class="separator:a556503152419f313eb483897a1be41f4 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:af40f174e371ab93d659a8223ed90458d"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1STOFileAdapter__.html#af40f174e371ab93d659a8223ed90458d">write</a> (const <a class="el" href="classOpenSim_1_1TimeSeriesTable__.html">TimeSeriesTable_</a>&lt; T &gt; &amp;table, const std::string &amp;fileName)</td></tr>
<tr class="memdesc:af40f174e371ab93d659a8223ed90458d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write a STO file.  <a href="classOpenSim_1_1STOFileAdapter__.html#af40f174e371ab93d659a8223ed90458d">More...</a><br /></td></tr>
<tr class="separator:af40f174e371ab93d659a8223ed90458d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classOpenSim_1_1DelimFileAdapter"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classOpenSim_1_1DelimFileAdapter')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classOpenSim_1_1DelimFileAdapter.html">OpenSim::DelimFileAdapter&lt; T &gt;</a></td></tr>
<tr class="memitem:af6cf540a1450c2314d17b99022288c7e inherit pub_static_methods_classOpenSim_1_1DelimFileAdapter"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DelimFileAdapter.html#af6cf540a1450c2314d17b99022288c7e">tableString</a> ()</td></tr>
<tr class="memdesc:af6cf540a1450c2314d17b99022288c7e inherit pub_static_methods_classOpenSim_1_1DelimFileAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Key used for table associative array returned/accepted by write/read.  <a href="classOpenSim_1_1DelimFileAdapter.html#af6cf540a1450c2314d17b99022288c7e">More...</a><br /></td></tr>
<tr class="separator:af6cf540a1450c2314d17b99022288c7e inherit pub_static_methods_classOpenSim_1_1DelimFileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa850c467be4f1e0ea58b3fcdd96f3579 inherit pub_static_methods_classOpenSim_1_1DelimFileAdapter"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DelimFileAdapter.html#aa850c467be4f1e0ea58b3fcdd96f3579">dataTypeName</a> ()</td></tr>
<tr class="memdesc:aa850c467be4f1e0ea58b3fcdd96f3579 inherit pub_static_methods_classOpenSim_1_1DelimFileAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of the data type T (template parameter).  <a href="classOpenSim_1_1DelimFileAdapter.html#aa850c467be4f1e0ea58b3fcdd96f3579">More...</a><br /></td></tr>
<tr class="separator:aa850c467be4f1e0ea58b3fcdd96f3579 inherit pub_static_methods_classOpenSim_1_1DelimFileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classOpenSim_1_1FileAdapter"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classOpenSim_1_1FileAdapter')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classOpenSim_1_1FileAdapter.html">OpenSim::FileAdapter</a></td></tr>
<tr class="memitem:a5cc85bf83a407507fd13a661cc88843a inherit pub_static_methods_classOpenSim_1_1FileAdapter"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1FileAdapter.html#a5cc85bf83a407507fd13a661cc88843a">writeFile</a> (const <a class="el" href="classOpenSim_1_1DataAdapter.html#a77fcec7eb62bc89789fbf836389d5950">InputTables</a> &amp;tables, const std::string &amp;fileName)</td></tr>
<tr class="memdesc:a5cc85bf83a407507fd13a661cc88843a inherit pub_static_methods_classOpenSim_1_1FileAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write a collection of tables to the given file.  <a href="classOpenSim_1_1FileAdapter.html#a5cc85bf83a407507fd13a661cc88843a">More...</a><br /></td></tr>
<tr class="separator:a5cc85bf83a407507fd13a661cc88843a inherit pub_static_methods_classOpenSim_1_1FileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad76d0911221f80397d1b7c047984ddfa inherit pub_static_methods_classOpenSim_1_1FileAdapter"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1FileAdapter.html#ad76d0911221f80397d1b7c047984ddfa">findExtension</a> (const std::string &amp;filename)</td></tr>
<tr class="memdesc:ad76d0911221f80397d1b7c047984ddfa inherit pub_static_methods_classOpenSim_1_1FileAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Find the extension from a filename.  <a href="classOpenSim_1_1FileAdapter.html#ad76d0911221f80397d1b7c047984ddfa">More...</a><br /></td></tr>
<tr class="separator:ad76d0911221f80397d1b7c047984ddfa inherit pub_static_methods_classOpenSim_1_1FileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8408af2fdb34cbe7e0aff3083a2ba60d inherit pub_static_methods_classOpenSim_1_1FileAdapter"><td class="memItemLeft" align="right" valign="top">static std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1FileAdapter.html#a8408af2fdb34cbe7e0aff3083a2ba60d">getNextLine</a> (std::istream &amp;stream, const std::string &amp;delims)</td></tr>
<tr class="memdesc:a8408af2fdb34cbe7e0aff3083a2ba60d inherit pub_static_methods_classOpenSim_1_1FileAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the next line from the stream and tokenize/split the line using the given delimiters.  <a href="classOpenSim_1_1FileAdapter.html#a8408af2fdb34cbe7e0aff3083a2ba60d">More...</a><br /></td></tr>
<tr class="separator:a8408af2fdb34cbe7e0aff3083a2ba60d inherit pub_static_methods_classOpenSim_1_1FileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c0df59f7019f251683ba2c46b80de3e inherit pub_static_methods_classOpenSim_1_1FileAdapter"><td class="memItemLeft" align="right" valign="top">static std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1FileAdapter.html#a4c0df59f7019f251683ba2c46b80de3e">tokenize</a> (const std::string &amp;str, const std::string &amp;delims)</td></tr>
<tr class="memdesc:a4c0df59f7019f251683ba2c46b80de3e inherit pub_static_methods_classOpenSim_1_1FileAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tokenize/split a given string using the given delimiters.  <a href="classOpenSim_1_1FileAdapter.html#a4c0df59f7019f251683ba2c46b80de3e">More...</a><br /></td></tr>
<tr class="separator:a4c0df59f7019f251683ba2c46b80de3e inherit pub_static_methods_classOpenSim_1_1FileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12670e5d449cca8bf05f86e39a7741b9 inherit pub_static_methods_classOpenSim_1_1FileAdapter"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; <a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1FileAdapter.html#a12670e5d449cca8bf05f86e39a7741b9">createAdapterFromExtension</a> (const std::string &amp;fileName)</td></tr>
<tr class="memdesc:a12670e5d449cca8bf05f86e39a7741b9 inherit pub_static_methods_classOpenSim_1_1FileAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a concerte <a class="el" href="classOpenSim_1_1FileAdapter.html" title="FileAdapter is a DataAdapter that reads and writes files with methods read and writeFile respectively...">FileAdapter</a> based on the extension of the passed in file and return it.  <a href="classOpenSim_1_1FileAdapter.html#a12670e5d449cca8bf05f86e39a7741b9">More...</a><br /></td></tr>
<tr class="separator:a12670e5d449cca8bf05f86e39a7741b9 inherit pub_static_methods_classOpenSim_1_1FileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classOpenSim_1_1DataAdapter"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classOpenSim_1_1DataAdapter')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td></tr>
<tr class="memitem:a62f03a9de403f04f57ba03ca333407de inherit pub_static_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a62f03a9de403f04f57ba03ca333407de">registerDataAdapter</a> (const std::string &amp;identifier, const <a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &amp;adapter)</td></tr>
<tr class="memdesc:a62f03a9de403f04f57ba03ca333407de inherit pub_static_methods_classOpenSim_1_1DataAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Register a concrete <a class="el" href="classOpenSim_1_1DataAdapter.html" title="DataAdapter is an abstract class defining an interface for reading/writing in/out the contents of a D...">DataAdapter</a> by its unique string identifier.  <a href="classOpenSim_1_1DataAdapter.html#a62f03a9de403f04f57ba03ca333407de">More...</a><br /></td></tr>
<tr class="separator:a62f03a9de403f04f57ba03ca333407de inherit pub_static_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classOpenSim_1_1DataAdapter"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classOpenSim_1_1DataAdapter')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td></tr>
<tr class="memitem:a4176166178df34d602b2e01bd7cd026d inherit pub_types_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top">typedef std::map&lt; std::string, std::shared_ptr&lt; <a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a4176166178df34d602b2e01bd7cd026d">RegisteredDataAdapters</a></td></tr>
<tr class="memdesc:a4176166178df34d602b2e01bd7cd026d inherit pub_types_classOpenSim_1_1DataAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type of the registry containing registered adapters.  <a href="classOpenSim_1_1DataAdapter.html#a4176166178df34d602b2e01bd7cd026d">More...</a><br /></td></tr>
<tr class="separator:a4176166178df34d602b2e01bd7cd026d inherit pub_types_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa70731950b2d90af75eb1f4066c43c47 inherit pub_types_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top">typedef std::map&lt; std::string, std::shared_ptr&lt; <a class="el" href="classOpenSim_1_1AbstractDataTable.html">AbstractDataTable</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#aa70731950b2d90af75eb1f4066c43c47">OutputTables</a></td></tr>
<tr class="memdesc:aa70731950b2d90af75eb1f4066c43c47 inherit pub_types_classOpenSim_1_1DataAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Collection of tables returned by reading methods implemented in derived classes.  <a href="classOpenSim_1_1DataAdapter.html#aa70731950b2d90af75eb1f4066c43c47">More...</a><br /></td></tr>
<tr class="separator:aa70731950b2d90af75eb1f4066c43c47 inherit pub_types_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77fcec7eb62bc89789fbf836389d5950 inherit pub_types_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top">typedef std::map&lt; std::string, const <a class="el" href="classOpenSim_1_1AbstractDataTable.html">AbstractDataTable</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a77fcec7eb62bc89789fbf836389d5950">InputTables</a></td></tr>
<tr class="memdesc:a77fcec7eb62bc89789fbf836389d5950 inherit pub_types_classOpenSim_1_1DataAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Collection of tables accepted by writing methods implemented in derived classes.  <a href="classOpenSim_1_1DataAdapter.html#a77fcec7eb62bc89789fbf836389d5950">More...</a><br /></td></tr>
<tr class="separator:a77fcec7eb62bc89789fbf836389d5950 inherit pub_types_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classOpenSim_1_1DelimFileAdapter"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classOpenSim_1_1DelimFileAdapter')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classOpenSim_1_1DelimFileAdapter.html">OpenSim::DelimFileAdapter&lt; T &gt;</a></td></tr>
<tr class="memitem:a59b7a3d6d45e99cbd29b29d6495a6d10 inherit pro_methods_classOpenSim_1_1DelimFileAdapter"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1DataAdapter.html#aa70731950b2d90af75eb1f4066c43c47">OutputTables</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DelimFileAdapter.html#a59b7a3d6d45e99cbd29b29d6495a6d10">extendRead</a> (const std::string &amp;filename) const override</td></tr>
<tr class="memdesc:a59b7a3d6d45e99cbd29b29d6495a6d10 inherit pro_methods_classOpenSim_1_1DelimFileAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Implementation of the read functionality.  <a href="classOpenSim_1_1DelimFileAdapter.html#a59b7a3d6d45e99cbd29b29d6495a6d10">More...</a><br /></td></tr>
<tr class="separator:a59b7a3d6d45e99cbd29b29d6495a6d10 inherit pro_methods_classOpenSim_1_1DelimFileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a607903fe5ac6aa90417920b92200f088 inherit pro_methods_classOpenSim_1_1DelimFileAdapter"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DelimFileAdapter.html#a607903fe5ac6aa90417920b92200f088">extendWrite</a> (const <a class="el" href="classOpenSim_1_1DataAdapter.html#a77fcec7eb62bc89789fbf836389d5950">InputTables</a> &amp;tables, const std::string &amp;filename) const override</td></tr>
<tr class="memdesc:a607903fe5ac6aa90417920b92200f088 inherit pro_methods_classOpenSim_1_1DelimFileAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Implementation of the write functionality.  <a href="classOpenSim_1_1DelimFileAdapter.html#a607903fe5ac6aa90417920b92200f088">More...</a><br /></td></tr>
<tr class="separator:a607903fe5ac6aa90417920b92200f088 inherit pro_methods_classOpenSim_1_1DelimFileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab394c86a0761224820d6773a3083f584 inherit pro_methods_classOpenSim_1_1DelimFileAdapter"><td class="memItemLeft" align="right" valign="top">SimTK::RowVector_&lt; T &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DelimFileAdapter.html#ab394c86a0761224820d6773a3083f584">readElems</a> (const std::vector&lt; std::string &gt; &amp;tokens) const</td></tr>
<tr class="memdesc:ab394c86a0761224820d6773a3083f584 inherit pro_methods_classOpenSim_1_1DelimFileAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read elements of type T (template parameter) from a sequence of tokens.  <a href="classOpenSim_1_1DelimFileAdapter.html#ab394c86a0761224820d6773a3083f584">More...</a><br /></td></tr>
<tr class="separator:ab394c86a0761224820d6773a3083f584 inherit pro_methods_classOpenSim_1_1DelimFileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc314c08fc5eaa9ee152fecaaf3dd89d inherit pro_methods_classOpenSim_1_1DelimFileAdapter"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DelimFileAdapter.html#abc314c08fc5eaa9ee152fecaaf3dd89d">writeElem</a> (std::ostream &amp;stream, const T &amp;elem, const unsigned &amp;prec) const</td></tr>
<tr class="memdesc:abc314c08fc5eaa9ee152fecaaf3dd89d inherit pro_methods_classOpenSim_1_1DelimFileAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write an element of type T (template parameter) to stream with the specified precision.  <a href="classOpenSim_1_1DelimFileAdapter.html#abc314c08fc5eaa9ee152fecaaf3dd89d">More...</a><br /></td></tr>
<tr class="separator:abc314c08fc5eaa9ee152fecaaf3dd89d inherit pro_methods_classOpenSim_1_1DelimFileAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_static_methods_classOpenSim_1_1DataAdapter"><td colspan="2" onclick="javascript:toggleInherit('pro_static_methods_classOpenSim_1_1DataAdapter')"><img src="closed.png" alt="-"/>&#160;Static Protected Member Functions inherited from <a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td></tr>
<tr class="memitem:aef144edd7e61db16341aacd053062cde inherit pro_static_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; <a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#aef144edd7e61db16341aacd053062cde">createAdapter</a> (const std::string &amp;identifier)</td></tr>
<tr class="memdesc:aef144edd7e61db16341aacd053062cde inherit pro_static_methods_classOpenSim_1_1DataAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creator of concrete DataAdapter(s) for the specified source type by its unique identifier (string).  <a href="classOpenSim_1_1DataAdapter.html#aef144edd7e61db16341aacd053062cde">More...</a><br /></td></tr>
<tr class="separator:aef144edd7e61db16341aacd053062cde inherit pro_static_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description </h2>
<div class="textblock"><h3>template&lt;typename T&gt;<br />
class OpenSim::STOFileAdapter_&lt; T &gt;</h3>

<p>STOFileAdapter is a <a class="el" href="classOpenSim_1_1DelimFileAdapter.html" title="DelimFileAdapter is a FileAdapter that reads and writes text files with given delimiters.">DelimFileAdapter</a> that presets the delimiters appropriately for STO files. </p>
<p>The format of the file is as follows: </p><div class="fragment"><div class="line">.................................</div>
<div class="line">.................................</div>
<div class="line">........ &lt;metadata&gt; .............</div>
<div class="line">.................................</div>
<div class="line">.................................</div>
<div class="line">endheader</div>
<div class="line">time colname1 colname2 ..........</div>
<div class="line">.................................</div>
<div class="line">.................................</div>
<div class="line">............ &lt;data-rows&gt; ........</div>
<div class="line">.................................</div>
<div class="line">.................................</div>
</div><!-- fragment --><p> For example a TimeSeriesTable_&lt;SimTK::Vec3&gt; could look like: </p><div class="fragment"><div class="line">units=m</div>
<div class="line">DataType=Vec3</div>
<div class="line">endheader</div>
<div class="line">time  r_shoulder      l_shoulder      r_leg           l_leg</div>
<div class="line">0.1   0.11,0.22,0.33  0.44,0.55,0.66  0.77,0.88,0.99  0.10,0.11,0.12</div>
<div class="line">0.2   0.22,0.44,0.66  0.88,0.99,0.35  0.75,0.65,0.43  0.47,0.57,0.67</div>
</div><!-- fragment --><p> Columns are delimited by tab character. Elements within a column are delimited by comma character. STOFileAdapter allows reading/writing following tables: </p><table class="doxtable">
<tr>
<td>TimeSeriesTable_&lt;double&gt; </td><td>DataType=double </td></tr>
<tr>
<td>TimeSeriesTable_&lt;SimTK::Vec2&gt; </td><td>DataType=Vec2 </td></tr>
<tr>
<td>TimeSeriesTable_&lt;SimTK::Vec3&gt; </td><td>DataType=Vec3 </td></tr>
<tr>
<td>TimeSeriesTable_&lt;SimTK::Vec4&gt; </td><td>DataType=Vec4 </td></tr>
<tr>
<td>TimeSeriesTable_&lt;SimTK::Vec5&gt; </td><td>DataType=Vec5 </td></tr>
<tr>
<td>TimeSeriesTable_&lt;SimTK::Vec6&gt; </td><td>DataType=Vec6 </td></tr>
<tr>
<td>TimeSeriesTable_&lt;SimTK::Vec7&gt; </td><td>DataType=Vec7 </td></tr>
<tr>
<td>TimeSeriesTable_&lt;SimTK::Vec8&gt; </td><td>DataType=Vec8 </td></tr>
<tr>
<td>TimeSeriesTable_&lt;SimTK::Vec9&gt; </td><td>DataType=Vec9 </td></tr>
<tr>
<td><a class="el" href="classOpenSim_1_1TimeSeriesTable__.html" title="TimeSeriesTable_ is a DataTable_ where the independent column is time of type double.">TimeSeriesTable_</a>&lt;SimTK::Vec&lt;10&gt;&gt; </td><td>DataType=Vec10 </td></tr>
<tr>
<td><a class="el" href="classOpenSim_1_1TimeSeriesTable__.html" title="TimeSeriesTable_ is a DataTable_ where the independent column is time of type double.">TimeSeriesTable_</a>&lt;SimTK::Vec&lt;11&gt;&gt; </td><td>DataType=Vec11 </td></tr>
<tr>
<td><a class="el" href="classOpenSim_1_1TimeSeriesTable__.html" title="TimeSeriesTable_ is a DataTable_ where the independent column is time of type double.">TimeSeriesTable_</a>&lt;SimTK::Vec&lt;12&gt;&gt; </td><td>DataType=Vec12 </td></tr>
<tr>
<td>TimeSeriesTable_&lt;SimTK::UnitVec3&gt; </td><td>DataType=UnitVec3 </td></tr>
<tr>
<td>TimeSeriesTable_&lt;SimTK::Quaternion&gt; </td><td>DataType=Quaternion </td></tr>
<tr>
<td>TimeSeriesTable_&lt;SimTK::SpatialVec&gt; </td><td>DataType=SpatialVec </td></tr>
</table>
<p>Files contain metadata (in form of "DataType=&lt;something&gt;" as shown above) indicating the type of the table they contain. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ace1b15f424dd3f95d29d35234a4f5ee9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace1b15f424dd3f95d29d35234a4f5ee9">&#9670;&nbsp;</a></span>STOFileAdapter_() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1STOFileAdapter__.html">OpenSim::STOFileAdapter_</a>&lt; T &gt;::<a class="el" href="classOpenSim_1_1STOFileAdapter__.html">STOFileAdapter_</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7bd96ac028a6681fab93f7db1a8cff36"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7bd96ac028a6681fab93f7db1a8cff36">&#9670;&nbsp;</a></span>STOFileAdapter_() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1STOFileAdapter__.html">OpenSim::STOFileAdapter_</a>&lt; T &gt;::<a class="el" href="classOpenSim_1_1STOFileAdapter__.html">STOFileAdapter_</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1STOFileAdapter__.html">STOFileAdapter_</a>&lt; T &gt; &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7821ff194eb5becd0e6828e73494e797"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7821ff194eb5becd0e6828e73494e797">&#9670;&nbsp;</a></span>STOFileAdapter_() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1STOFileAdapter__.html">OpenSim::STOFileAdapter_</a>&lt; T &gt;::<a class="el" href="classOpenSim_1_1STOFileAdapter__.html">STOFileAdapter_</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOpenSim_1_1STOFileAdapter__.html">STOFileAdapter_</a>&lt; T &gt; &amp;&amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aba8eed41278c5ebf24408cc7b1c46b81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba8eed41278c5ebf24408cc7b1c46b81">&#9670;&nbsp;</a></span>~STOFileAdapter_()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1STOFileAdapter__.html">OpenSim::STOFileAdapter_</a>&lt; T &gt;::~<a class="el" href="classOpenSim_1_1STOFileAdapter__.html">STOFileAdapter_</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ad3cb156e1a748a5dfe3befd251f62c3a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad3cb156e1a748a5dfe3befd251f62c3a">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1STOFileAdapter__.html">STOFileAdapter_</a>&lt; T &gt; * <a class="el" href="classOpenSim_1_1STOFileAdapter__.html">OpenSim::STOFileAdapter_</a>&lt; T &gt;::clone</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented from <a class="el" href="classOpenSim_1_1DelimFileAdapter.html#a739a49fb6036e3997a87a846aaacfef6">OpenSim::DelimFileAdapter&lt; T &gt;</a>.</p>

</div>
</div>
<a id="afc391fd1f24f52cd2141adf6aa44b527"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc391fd1f24f52cd2141adf6aa44b527">&#9670;&nbsp;</a></span>operator=() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1STOFileAdapter__.html">STOFileAdapter_</a>&amp; <a class="el" href="classOpenSim_1_1STOFileAdapter__.html">OpenSim::STOFileAdapter_</a>&lt; T &gt;::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1STOFileAdapter__.html">STOFileAdapter_</a>&lt; T &gt; &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a31601f51d27f197a024cbef3e5eb35c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31601f51d27f197a024cbef3e5eb35c8">&#9670;&nbsp;</a></span>operator=() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1STOFileAdapter__.html">STOFileAdapter_</a>&amp; <a class="el" href="classOpenSim_1_1STOFileAdapter__.html">OpenSim::STOFileAdapter_</a>&lt; T &gt;::operator= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOpenSim_1_1STOFileAdapter__.html">STOFileAdapter_</a>&lt; T &gt; &amp;&amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af40f174e371ab93d659a8223ed90458d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af40f174e371ab93d659a8223ed90458d">&#9670;&nbsp;</a></span>write()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOpenSim_1_1STOFileAdapter__.html">OpenSim::STOFileAdapter_</a>&lt; T &gt;::write </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1TimeSeriesTable__.html">TimeSeriesTable_</a>&lt; T &gt; &amp;&#160;</td>
          <td class="paramname"><em>table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>fileName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Write a STO file. </p>
<p><br  />
 </p>
<dl class="section examples"><dt>Examples</dt><dd><a class="el" href="example2DWalking_8cpp-example.html#a4">example2DWalking.cpp</a>, <a class="el" href="exampleHangingMuscle_8cpp-example.html#a1">exampleHangingMuscle.cpp</a>, and <a class="el" href="exampleMocoInverse_8cpp-example.html#a1">exampleMocoInverse.cpp</a>.</dd>
</dl>

<p class="reference">References <a class="el" href="classOpenSim_1_1DelimFileAdapter.html#a607903fe5ac6aa90417920b92200f088">OpenSim::DelimFileAdapter&lt; T &gt;::extendWrite()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>OpenSim/Common/STOFileAdapter.h</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceOpenSim.html">OpenSim</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1STOFileAdapter__.html">STOFileAdapter_</a></li>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:31 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
